# \Thelia\ModelProductCategoryQuery

Skeleton subclass for performing query and update operations on the 'product_category' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterByProductId()
filterByCategoryId()
filterByCreatedAt()
filterByUpdatedAt()
filterByProduct()
joinProduct()
useProductQuery()
filterByCategory()
joinCategory()
useCategoryQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderByProductId()
orderByCategoryId()
orderByCreatedAt()
orderByUpdatedAt()
groupByProductId()
groupByCategoryId()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinProduct()
rightJoinProduct()
innerJoinProduct()
leftJoinCategory()
rightJoinCategory()
innerJoinCategory()
findOne()
findOneOrCreate()
findOneByProductId()
findOneByCategoryId()
findOneByCreatedAt()
findOneByUpdatedAt()
findByProductId()
findByCategoryId()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/ProductCategoryQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\ProductCategoryQuery
  \Thelia\Model\ProductCategoryQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\ProductCategoryQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\ProductCategoryQuery

Returns a new ChildProductCategoryQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\ProductCategoryQuery

#

static

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductCategory|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ProductCategory|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\ProductCategoryQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\ProductCategoryQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### filterByProductId()

    filterByProductId(mixed $productId, string $comparison) : \Thelia\Model\ProductCategoryQuery

Filter the query on the product_id column

Example usage: `$query->filterByProductId(1234); // WHERE product_id = 1234 $query->filterByProductId(array(12, 34)); // WHERE product_id IN (12, 34) $query->filterByProductId(array('min' => 12)); // WHERE product_id > 12`

#### Parameters

mixed | $productId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery
See also

## Tags

None found

### filterByCategoryId()

    filterByCategoryId(mixed $categoryId, string $comparison) : \Thelia\Model\ProductCategoryQuery

Filter the query on the category_id column

Example usage: `$query->filterByCategoryId(1234); // WHERE category_id = 1234 $query->filterByCategoryId(array(12, 34)); // WHERE category_id IN (12, 34) $query->filterByCategoryId(array('min' => 12)); // WHERE category_id > 12`

#### Parameters

mixed | $categoryId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery
See also

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\ProductCategoryQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\ProductCategoryQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### filterByProduct()

    filterByProduct(\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection $product, string $comparison) : \Thelia\Model\ProductCategoryQuery

Filter the query by a related \Thelia\Model\Product object

#### Parameters

\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection | $product | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### joinProduct()

    joinProduct(string $relationAlias, string $joinType) : \Thelia\Model\ProductCategoryQuery

Adds a JOIN clause to the query using the Product relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### useProductQuery()

    useProductQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Use the Product relation Product object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery
See also

## Tags

None found

### filterByCategory()

    filterByCategory(\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection $category, string $comparison) : \Thelia\Model\ProductCategoryQuery

Filter the query by a related \Thelia\Model\Category object

#### Parameters

\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection | $category | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### joinCategory()

    joinCategory(string $relationAlias, string $joinType) : \Thelia\Model\ProductCategoryQuery

Adds a JOIN clause to the query using the Category relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### useCategoryQuery()

    useCategoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\CategoryQuery

Use the Category relation Category object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\ProductCategory $productCategory) : \Thelia\Model\ProductCategoryQuery

Exclude object from result

#### Parameters

\Thelia\Model\ProductCategory | $productCategory | Object to remove from the list of results

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the product_category table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildProductCategory or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\ProductCategoryQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\ProductCategoryQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\ProductCategoryQuery

Order by update date desc

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\ProductCategoryQuery

Order by update date asc

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\ProductCategoryQuery

Order by create date desc

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\ProductCategoryQuery

Order by create date asc

#### Returns

\Thelia\Model\ProductCategoryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### orderByProductId()

    orderByProductId($order =) : \Thelia\Model\ProductCategoryQuery

Order by the product_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### orderByCategoryId()

    orderByCategoryId($order =) : \Thelia\Model\ProductCategoryQuery

Order by the category_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\ProductCategoryQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\ProductCategoryQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### groupByProductId()

    groupByProductId() : \Thelia\Model\ProductCategoryQuery

Group by the product_id column

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### groupByCategoryId()

    groupByCategoryId() : \Thelia\Model\ProductCategoryQuery

Group by the category_id column

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\ProductCategoryQuery

Group by the created_at column

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\ProductCategoryQuery

Group by the updated_at column

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\ProductCategoryQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\ProductCategoryQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\ProductCategoryQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### leftJoinProduct()

    leftJoinProduct($relationAlias =) : \Thelia\Model\ProductCategoryQuery

Adds a LEFT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### rightJoinProduct()

    rightJoinProduct($relationAlias =) : \Thelia\Model\ProductCategoryQuery

Adds a RIGHT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### innerJoinProduct()

    innerJoinProduct($relationAlias =) : \Thelia\Model\ProductCategoryQuery

Adds a INNER JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### leftJoinCategory()

    leftJoinCategory($relationAlias =) : \Thelia\Model\ProductCategoryQuery

Adds a LEFT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### rightJoinCategory()

    rightJoinCategory($relationAlias =) : \Thelia\Model\ProductCategoryQuery

Adds a RIGHT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### innerJoinCategory()

    innerJoinCategory($relationAlias =) : \Thelia\Model\ProductCategoryQuery

Adds a INNER JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ProductCategoryQuery

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\ProductCategory

Return the first ChildProductCategory matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ProductCategory

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\ProductCategory

Return the first ChildProductCategory matching the query, or a new ChildProductCategory object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ProductCategory

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findOneByProductId()

    findOneByProductId(int $product_id) : \Thelia\Model\ProductCategory

Return the first ChildProductCategory filtered by the product_id column

#### Parameters

int | $product_id |

#### Returns

\Thelia\Model\ProductCategory

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findOneByCategoryId()

    findOneByCategoryId(int $category_id) : \Thelia\Model\ProductCategory

Return the first ChildProductCategory filtered by the category_id column

#### Parameters

int | $category_id |

#### Returns

\Thelia\Model\ProductCategory

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\ProductCategory

Return the first ChildProductCategory filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\ProductCategory

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\ProductCategory

Return the first ChildProductCategory filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\ProductCategory

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findByProductId()

    findByProductId(int $product_id) : array

Return ChildProductCategory objects filtered by the product_id column

#### Parameters

int | $product_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findByCategoryId()

    findByCategoryId(int $category_id) : array

Return ChildProductCategory objects filtered by the category_id column

#### Parameters

int | $category_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildProductCategory objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildProductCategory objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductCategory

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ProductCategory —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductCategory|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ProductCategory|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\ProductCategoryQuery

## Tags

None found

### ProductCategoryQuery.php